baselineGUI {baseline} | R Documentation

## Interactive plotting tool

### Description

An interactive plotting tool for dynamic visualization of baselines and their effect using the gWidgets package with GTK+ or Tcl/Tk.

### Usage

    baselineGUI(spectra, method='irls', labels, rev.x = FALSE)

### Arguments

`spectra` | Matrix with spectra in rows
`method` | Baseline correction method (optional)
`labels` | Labels for X-axis (optional)
`rev.x` | Reverse X-axis (optional, default=FALSE)

### Details

Creates and updates a list containing current baseline and spectrum (baseline.result). Make sure a gWidget implementation is available, e.g gWidgetsRGtk2 or gWidgetstcltk and a corresponding backend like GTK+ or Tcl/Tk. The GUI was developed using GTK which is an external dependency in Windows ans OS X.

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### Examples

    data(milk)
    ## Not run:
    # Dependent on external software
    baselineGUI(milk$spectra)

    ## End(Not run)

[Package baseline version 1.2-1 Index]